Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 129956 - Export Diff Patch: Used OpenFileDialog instead of SaveFileDialog
Export Diff Patch: Used OpenFileDialog instead of SaveFileDialog
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
Macintosh Mac OS X
: P3 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 20:28 UTC by Petr Dvorak
Modified: 2008-09-17 13:06 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
There is no field to type a filename in the Export Diff Patch dialog (33.78 KB, image/png)
2008-03-12 20:29 UTC, Petr Dvorak
Details
proposed patch (2.06 KB, patch)
2008-03-13 10:31 UTC, Padraig Obriain
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Dvorak 2008-03-12 20:28:50 UTC
Product Version: NetBeans IDE Dev (Build 200803111205)
Java: 1.5.0_13; Java HotSpot(TM) Client VM 1.5.0_13-119
System: Mac OS X version 10.5.2 running on i386; MacRoman; en_US (nb)

This is a MacOS specific issue (in essence the same issue as http://www.netbeans.org/issues/show_bug.cgi?id=129745).

Open some project that is using hg. Go to Versioning > Mercurial > Export diff patch, click Browse... button by the Output File field.

You cannot type a new filename anywhere, you have to either overwrite existing file, or click cancel (and so you cannot easily specify a new location for a 
new file).

An OpenFileDialog is used instead a SaveFileDialog.
Comment 1 Petr Dvorak 2008-03-12 20:29:50 UTC
Created attachment 58268 [details]
There is no field to type a filename in the Export Diff Patch dialog
Comment 2 Padraig Obriain 2008-03-13 09:23:32 UTC
I think that we need to add the statement

        fileChooser.setDialogType(JFileChooser.SAVE_DIALOG);
Comment 3 Padraig Obriain 2008-03-13 10:31:54 UTC
Created attachment 58298 [details]
proposed patch
Comment 4 Padraig Obriain 2008-03-13 10:33:13 UTC
Patch pushed in 11b48d2ad0bb.
Comment 5 Petr Dvorak 2008-09-17 13:06:44 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo